/**
 * Copyright (c) 2024 LOBA
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 * 
 * SPDX-License-Identifier: MIT
 * 
 * Contributors:
 *     [name] - [contribution]
 */

.banner-cta{
    width: 100%;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: rem(24);
    box-shadow: 0px 32px 32px 0px #0000003D;
    height: rem(251);
    border: 1px solid var(--color-default-5);
    overflow: hidden;
    padding: 0 rem(56);

    &-media{
        width: 100%;
        height: 100%;
        position: absolute;

        img{
            width: 100%;
            height: 100%;
            object-fit: cover;
            object-position: center;
        }
    }

    &-caption{
        display: flex;
        align-items: center;
        justify-content: space-between;
        gap: rem(30);
        position: absolute;
        z-index: 1;
        width: calc(100% - rem(112));

        h2{
            background: linear-gradient(90deg, #ABA7EE 0%, #FFFFFF 50%, #ABA7EE 100%);
            -webkit-background-clip: text;
            -webkit-text-fill-color: transparent;
            font-size: rem(40);
            line-height: rem(56);
            font-weight: 300;
        }

        p{
            color: var(--color-default-1);
            font-size: rem(16);
            line-height: rem(19);
            font-weight: 400;
        }
    }
}